#include <iostream>
#include <vector>
using namespace std;
int main()
{
    int n,i,t;
    long long x,najveci,najmanji;
    vector<long long> niz;
    cin>>n;
    cin>>x;
    cin>>t;
    niz.push_back(t);
    najveci=t;
    najmanji=t;
    for(i=1;i<n;i++)
    {
        cin>>t;
        niz.push_back(t);
        if(t<najmanji)
            najmanji=t;
        if(t>najveci)
            najveci=t;
    }
    if(x<=najmanji)
    {
        cout<<najveci-x;
        return 0;
    }
    if(x>=najveci)
    {
        cout<<x-najmanji;
        return 0;
    }
    t=(najveci-najmanji)/2;
    if(x>t)
    {
        cout<<(najveci-x)*2+(x-najmanji);
        return 0;
    }
    cout<<(x-najmanji)*2+(najveci-x);
    return 0;
}